Subject: Re: Bug in random32.c: all-zero outputs with probability 1/2^32, other seeding bugs

From: Matt Mackall <[email-masked]>
Date: Tue, 01 Jul 2008 22:22:31 -0500

On Tue, 2008-07-01 at 17:34 -0700, Andrew Morton wrote:
> On Wed, 2 Jul 2008 01:19:27 +0200
> Benoit Boissinot <[email-masked]> wrote:
> 
> > [who maintains random32.c ?]
> 
> ah.  I think it's ancient net code which was recently hoisted into lib/.
> So: not really anybody.
> 
> I've been hopefully cc'ing Matt and Ted in the hope of fooling them
> into looking at it.  But a netdev cc is appropriate also.

I did look at it, and it looks reasonable. So:

Acked-by: Matt Mackall <[email-masked]>

Stephen Hemminger is responsible for the original code, I believe. I've
been tempted to slurp this functionality into random.c but keep getting
side-tracked into theoretical investigations of better functions, as I'm
not a big fan of the current one from either a performance or strength
perspective.

-- 
Mathematics is the supreme nostalgia of our time.